# PlayerNaturallySpawnCreaturesEvent (Scissors-API 1.17.1-R0.1-SNAPSHOT API)
declaration: package: com.destroystokyo.paper.event.entity, class: PlayerNaturallySpawnCreaturesEvent

Package com.destroystokyo.paper.event.entity

# Class PlayerNaturallySpawnCreaturesEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.player.PlayerEvent
com.destroystokyo.paper.event.entity.PlayerNaturallySpawnCreaturesEvent

All Implemented Interfaces:
  `Cancellable`

public class PlayerNaturallySpawnCreaturesEvent extends PlayerEvent implements Cancellable
Fired when the server is calculating what chunks to try to spawn monsters in every Monster Spawn Tick event

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Field Summary

### Fields inherited from class org.bukkit.event.player.PlayerEvent

`player`

## Constructor Summary

Constructors
Constructor
Description
`PlayerNaturallySpawnCreaturesEvent(@NotNull Player player, byte radius)`

## Method Summary

Modifier and Type
Method
Description
`static @NotNull HandlerList`
`getHandlerList()`
`@NotNull HandlerList`
`getHandlers()`
`byte`
`getSpawnRadius()`
`boolean`
`isCancelled()`
Gets the cancellation state of this event.
`void`
`setCancelled(boolean cancel)`
Sets the cancellation state of this event.
`void`
`setSpawnRadius(byte radius)`

### Methods inherited from class org.bukkit.event.player.PlayerEvent

`getPlayer`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PlayerNaturallySpawnCreaturesEvent

public PlayerNaturallySpawnCreaturesEvent(@NotNull @NotNull Player player, byte radius)

## Method Details

### getSpawnRadius

public byte getSpawnRadius()

Returns:
  The radius of chunks around this player to be included in natural spawn selection

### setSpawnRadius

public void setSpawnRadius(byte radius)

Parameters:
  `radius` - The radius of chunks around this player to be included in natural spawn selection

### getHandlers

@NotNull public @NotNull HandlerList getHandlers()

Specified by:
  `getHandlers` in class `Event`

### getHandlerList

@NotNull public static @NotNull HandlerList getHandlerList()

### isCancelled

public boolean isCancelled()
Description copied from interface: `Cancellable`
Gets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins

Specified by:
  `isCancelled` in interface `Cancellable`
Returns:
  If this players chunks will be excluded from natural spawns

### setCancelled

public void setCancelled(boolean cancel)
Description copied from interface: `Cancellable`
Sets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins.

Specified by:
  `setCancelled` in interface `Cancellable`
Parameters:
  `cancel` - true if you wish to cancel this event, and not include this players chunks for natural spawning